package xn.hxp.ui.plan.room.bean.locker;

import androidx.room.Entity;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverters;

import java.util.ArrayList;
import java.util.List;

import xn.hxp.ui.plan.room.RoomConverter;


/**
 * 柜门
 */
@Entity
@TypeConverters(RoomConverter.class)
public class HxpCabinetDoorVo {
    // ("柜门id")
    @PrimaryKey
    private long doorId;
    // ("关键机柜id")
    private long cabinetId;
    // ("柜门名称")
    private String doorName;
    // ("门里面的层数")
    private int doorLayers;
    // ("机柜唯一id，用于化学品入库绑定唯一编码")
    private long doorUniqueId;
    // ("开始方式：1无锁，2是智能锁，3是钥匙柜")
    private int unlockingMethod;
    // ("化学品库存数量")
    private int stockNum;
    // ("化学品使用数量")
    private int useNum;
    // ("是否管控")
    private boolean isControl;
    // ("是否双人认证")
    private boolean verify;
    // ("是否开启关闭")
    private boolean openOrClose = false;
    // ("管理员列表")
    private List<HxpCabinetAdminVo> cabinetAdminVoList = new ArrayList<>();
    // ("机柜锁列表")
    private List<HxpCabinetLockVo> cabinetLockVoList = new ArrayList<>();
    // 柜层信息列表
    private List<CabinetLayerSelect> cabinetLayerSelectList = new ArrayList<>();


    public List<CabinetLayerSelect> getCabinetLayerSelectList() {
        return cabinetLayerSelectList;
    }

    public void setCabinetLayerSelectList(List<CabinetLayerSelect> cabinetLayerSelectList) {
        this.cabinetLayerSelectList = cabinetLayerSelectList;
    }

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public String getDoorName() {
        return doorName;
    }

    public void setDoorName(String doorName) {
        this.doorName = doorName;
    }

    public int getDoorLayers() {
        return doorLayers;
    }

    public void setDoorLayers(int doorLayers) {
        this.doorLayers = doorLayers;
    }

    public long getDoorUniqueId() {
        return doorUniqueId;
    }

    public void setDoorUniqueId(long doorUniqueId) {
        this.doorUniqueId = doorUniqueId;
    }

    public int getUnlockingMethod() {
        return unlockingMethod;
    }

    public void setUnlockingMethod(int unlockingMethod) {
        this.unlockingMethod = unlockingMethod;
    }

    public int getStockNum() {
        return stockNum;
    }

    public void setStockNum(int stockNum) {
        this.stockNum = stockNum;
    }

    public int getUseNum() {
        return useNum;
    }

    public void setUseNum(int useNum) {
        this.useNum = useNum;
    }

    public boolean isControl() {
        return isControl;
    }

    public void setControl(boolean control) {
        isControl = control;
    }

    public boolean isVerify() {
        return verify;
    }

    public void setVerify(boolean verify) {
        this.verify = verify;
    }

    public boolean isOpenOrClose() {
        return openOrClose;
    }

    public void setOpenOrClose(boolean openOrClose) {
        this.openOrClose = openOrClose;
    }

    public List<HxpCabinetAdminVo> getCabinetAdminVoList() {
        return cabinetAdminVoList;
    }

    public void setCabinetAdminVoList(List<HxpCabinetAdminVo> cabinetAdminVoList) {
        this.cabinetAdminVoList = cabinetAdminVoList;
    }

    public List<HxpCabinetLockVo> getCabinetLockVoList() {
        return cabinetLockVoList;
    }

    public void setCabinetLockVoList(List<HxpCabinetLockVo> cabinetLockVoList) {
        this.cabinetLockVoList = cabinetLockVoList;
    }

}
